Running nordvpn in Mageia

Running nordvpn in Mageia

Postby rodgoslin » Jul 10th, '20, 04:46

I'm thinking, in these troublesome times of running Nordvpn. At the moment they seem to be offering a resonable low-cost system, on a two year basis. So I signed up. What I got back was a bit on the minimalist style, offering no indications as far as setting up is concerned.I received back an email of welcome

Subject: Welcome to NordVPN
Date: Thu, 09 Jul 2020 23:46:36 +0000 (UTC)

NordVPN Team

Welcome to the world of privacy and security

You now have next-generation encryption at your fingertips. However, NordVPN won’t secure your traffic if you forget to turn it on!

Download the app, log in, and connect to a VPN server. Remember, you can use NordVPN on 6 devices at the same time.

Download App

If you’re in a country with restrictions on VPN use, download here.

Stay safe!
NordVPN Team

Contact our tech support 24/7.

Get Help





15th Floor Tower A, Torre de Las Americas, Punta Pacificana, Panama City, Republic of Panama



I downloaded the app, as they called it. An rpm package (nordvpn-release-1.0.0-1). This installed without problem, but what it installed was pretty minimal
$ rpm -ql nordvpn-release-1.0.0-1
/etc/pki/rpm-gpg
/etc/pki/rpm-gpg/RPM-GPG-KEY-NordVPN
/etc/yum.repos.d/nordvpn.repo

And that was it, nothing further. Any advice as to where to go from there would be helpful.
I did find, elsewhere, that I could do all this on Android. But here, the app installed, but on opening the app all that was offered was a login page. Since in the purchase of two years worth of Nordvpn, did not result in rhe availability of either an account, nor username and password. progress, here, stopped short
Last edited by isadora on Jul 10th, '20, 09:23, edited 1 time in total.
Reason: Topic moved into appropriate sub-forum
rodgoslin
 
Posts: 450
Joined: Nov 19th, '11, 01:31

Re: Running nordvpn in Mageia

Postby magic » Jul 10th, '20, 09:59

If you look on their website there is a guide to how it should would. The package you've installed only specifies the repository to install the actual app from.
Except, the last time I tried it at least, it won't install on Mageia easily and requires manually bodging.

BTW your username is the email address you signed up with.

---
I'll check out the current situation where I get back from work, as I haven't looked at this for a while.
I see my C has been in the sea too long - it's gone rusty.
magic
 
Posts: 38
Joined: Jun 8th, '19, 09:38
Location: Nottinghamshire, UK

Re: Running nordvpn in Mageia

Postby martinw » Jul 10th, '20, 17:56

Type nordvpn into the forum search box and you'll find some past discussion of this which should help.
martinw
 
Posts: 588
Joined: May 14th, '11, 10:59

Re: Running nordvpn in Mageia

Postby magic » Jul 10th, '20, 22:16

Yes, as previously noted their software rpms have a dependency of 'libxslt'. I think what is required is actually provided by 'lib64xslt1' (or 'libxslt1' on 32bit) but that's a different name so it doesn't satisfy the dependency.

Manually downloading the latest software rpm from their repo and installing without dependencies seems to work okay but, obviously, you would be working entirely at your own risk. You'll also need to manually update for new versions the same way...and don't be totally surprised if something tells you about missing dependencies at some point.

You also have the option of manually setting up a connection (openvpn) without using the app at all (there is good information on this in previous threads).
I see my C has been in the sea too long - it's gone rusty.
magic
 
Posts: 38
Joined: Jun 8th, '19, 09:38
Location: Nottinghamshire, UK

Re: Running nordvpn in Mageia

Postby rodgoslin » Jul 10th, '20, 23:35

I'm a bit further on, at the moment. Some time after submitting the thread on this subject, I did receive an email from Nordvpn enabling me to set a password. This I did and that's one thing out of the way. Rather sadly to relate, armed with username and password, I opened the Android app on my 'phone, entered username and password, and the whole thing was setup and running within seconds. I note that the NordVPN application in Mageia uses the 'yum' command. I have admit that this is the first time I've come across 'yum'. I've installed it in anticipation, but do you advise that I also install all, or some of the tools that come with it, in MCC?
rodgoslin
 
Posts: 450
Joined: Nov 19th, '11, 01:31

Re: Running nordvpn in Mageia

Postby rodgoslin » Jul 11th, '20, 05:53

As maentioned, it didn't go well, as below

Code: Select all
[root@down rod]# rpm -v --import https://repo.nordvpn.com/gpg/nordvpn_public.asc
[root@down rod]# yum update
nordvpn                                                                                                          | 2.5 kB  00:00:00     
nordvpn/primary                                                                                                  | 4.7 kB  00:00:00     
nordvpn                                                                                                                           34/34
nordvpn-noarch                                                                                                   | 2.5 kB  00:00:00     
nordvpn-noarch/primary                                                                                           |  784 B  00:00:00     
nordvpn-noarch                                                                                                                      1/1
Setting up Update Process
No Packages marked for Update
[root@down rod]# yum install nordvpn
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nordvpn.x86_64 0:3.7.4-1 will be installed
--> Processing Dependency: libxslt for package: nordvpn-3.7.4-1.x86_64
--> Finished Dependency Resolution
Error: Package: nordvpn-3.7.4-1.x86_64 (nordvpn)
           Requires: libxslt
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@down rod]#


Any ideas for getting around the problem, in practical terms?. Why the installer gave an error puzzles me somewhat, since /lib64 does, in fact contain the required file, as below

Code: Select all
file:///lib64/libxshmfence.so.1.0.0
file:///lib64/libxslt.so.1
file:///lib64/libxslt.so.1.1.29
file:///lib64/libXss.so.1


Since the error message lists only part of the file name, I'm not sure whether it is actually looking for a file of that name, or whether this is a truncated name. If MCC throws up an such an error it usually gives the whole file name.
rodgoslin
 
Posts: 450
Joined: Nov 19th, '11, 01:31

Re: Running nordvpn in Mageia

Postby doktor5000 » Jul 11th, '20, 10:46

magic wrote:Yes, as previously noted their software rpms have a dependency of 'libxslt'. I think what is required is actually provided by 'lib64xslt1' (or 'libxslt1' on 32bit) but that's a different name so it doesn't satisfy the dependency.

You would need to download the package and then install via
Code: Select all
urpmi --allow-nodeps nordvpn
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 16080
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Running nordvpn in Mageia

Postby magic » Jul 11th, '20, 11:00

For reference:
The lib64xslt1 rpm package in the core updates testing repo does specify provides libxslt
With this package installed the nordvpn app installs in a test environment okay. By the looks of it - it should work out the box in future releases.
I see my C has been in the sea too long - it's gone rusty.
magic
 
Posts: 38
Joined: Jun 8th, '19, 09:38
Location: Nottinghamshire, UK

Re: Running nordvpn in Mageia

Postby rodgoslin » Jul 12th, '20, 02:50

perhaps I should have said that the machine I'm trying to run nordVPN on runs mga 5, for several very good reasons, I might add. I do, however have a Thinkpad laptop which does run Mga 7. However loading nordvpn on that, aside from the fact that the yum command is now yum-deprecated, installation went well until the very same point where it failed on the desktop, a dependency failure in libxslt. I've checked the files that MCC has said are loaded, and all are present. Unless the library file has a different name to what the installer is calling for, I cannot see why it does not work. The install dialogue does not go as far as naming the files precisely.
Doktor 5000. I'm not sure what you intend with "You would need to download the package and then install via". Download what package, from where?
Magic. Do I take it from your reply, that there is another version of the libxslt package in another repo
It's all rather a pity that installation on Android went so easily and well. Whilst Android is fine, as a phone, for viewing video's and reading ebooks, much of the rrest is pretty awful, and as a rational operating system the less said the better.
rodgoslin
 
Posts: 450
Joined: Nov 19th, '11, 01:31

Re: Running nordvpn in Mageia

Postby doktor5000 » Jul 12th, '20, 09:23

FWIW, the libxslt filenames do not matter, it only matters what the rpm provides. Those are basically tags, you can query them via e.g. rpm -q --provides lib64xslt1
If they don't match exactly with what another package is requesting, then those requires of the package that you are trying to install are not satisfied.

And as magic mentioned, there's a newer version of the lib64xslt1 package in the core-updates_testing repository which should fix this issue.
See https://madb.mageia.org/package/show/ap ... lib64xslt1 and check if you can install lib64xslt1-1.1.33-2.2.mga7.x86_64.rpm

rodgoslin wrote:Doktor 5000. I'm not sure what you intend with "You would need to download the package and then install via". Download what package, from where?

Obviously the nordvpn package that you're trying to install, from the repo that you added. E.g.
Code: Select all
urpmi --allow-nodeps https://repo.nordvpn.com/yum/nordvpn/centos/x86_64/Packages/n/nordvpn-3.7.4-1.x86_64.rpm

You can query the URL via e.g. yumdownloader --urls nordvpn although you would need to install yum-utils for yumdownloader.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 16080
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany


Return to Networking

Who is online

Users browsing this forum: No registered users and 1 guest